### Function

# GObject flags_get_first_value

#### Declaration

    GFlagsValue*
    g_flags_get_first_value (
      GFlagsClass* flags_class,
      guint value
    )

#### Description

Returns the first `GFlagsValue` which is set in `value`.

#### Parameters

`flags_class`

  Type: `GFlagsClass`

  A `GFlagsClass`.

  The data is owned by the caller of the function.

`value`

  Type: `guint`

  The value.

#### Return value

Type: `GFlagsValue`

The first `GFlagsValue` which is set in `value`, or `NULL` if none is set.

The data is owned by the called function.
The return value can be `NULL`.